#ifndef __RECT_H
#define __RECT_H

#include <SDL.h>

namespace segl {

class Rect {
	public:
		float x, y;
		float w, h;
		
		Rect();
		Rect(float, float, float, float);
		Rect(const SDL_Rect&);
		
		void set(float, float, float, float);
		void setPoint(float, float);
		void setDim(float, float);
		SDL_Rect getSDLRect();
	
};

} // namespace segl

#endif
